Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.
sudo apt-get install webhttrack
[sudo] password for apie: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  bzr-dbus gir1.2-gconf-2.0 kde-l10n-engb libjs-modernizr libp11-kit-gnome-keyring:i386 libpython-dev p7zip python-bzrlib python-gpgme python-keyring
  python-launchpadlib python-lazr.restfulclient python-lazr.uri python-oauth python-simplejson python-wadllib thunderbird-locale-en
  thunderbird-locale-en-gb thunderbird-locale-en-us ttf-droid ttf-liberation ttf-umefont wine-gecko1.4 wine-gecko1.4:i386
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  libhttrack2 webhttrack-common
Suggested packages:
  httrack httrack-doc
The following NEW packages will be installed:
  libhttrack2 webhttrack webhttrack-common
0 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
Need to get 814 kB of archives.
After this operation, 2 451 kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://archive.ubuntu.com/ubuntu/ raring/universe libhttrack2 amd64 3.46.1-1 [392 kB]
Get:2 http://archive.ubuntu.com/ubuntu/ raring/universe webhttrack-common all 3.46.1-1 [381 kB]                                                       
Get:3 only 2 links allowed://archive.ubuntu.com/ubuntu/ raring/universe webhttrack amd64 3.46.1-1 [41,0 kB]                                                           
Fetched 814 kB in 14s (55,4 kB/s)                                                                                                                     
Selecting previously unselected package libhttrack2.
(Reading database ... 366723 files and directories currently installed.)
Unpacking libhttrack2 (from .../libhttrack2_3.46.1-1_amd64.deb) ...
Selecting previously unselected package webhttrack-common.
Unpacking webhttrack-common (from .../webhttrack-common_3.46.1-1_all.deb) ...
Selecting previously unselected package webhttrack.
Unpacking webhttrack (from .../webhttrack_3.46.1-1_amd64.deb) ...
Processing triggers for man-db ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Setting up linux-image-extra-3.8.0-29-generic (3.8.0-29.42) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 3.8.0-29-generic /boot/vmlinuz-3.8.0-29-generic
run-parts: executing /etc/kernel/postinst.d/dkms 3.8.0-29-generic /boot/vmlinuz-3.8.0-29-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.8.0-29-generic /boot/vmlinuz-3.8.0-29-generic
update-initramfs: Generating /boot/initrd.img-3.8.0-29-generic

gzip: stdout: No space left on device
E: mkinitramfs failure cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-3.8.0-29-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-extra-3.8.0-29-generic.postinst line 1010.
dpkg: error processing linux-image-extra-3.8.0-29-generic (--configure):
 subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of linux-image-generic:
 linux-image-generic depends on linux-image-extra-3.8.0-29-generic; however:
  Package linux-image-extra-3.8.0-29-generic is not configured yet.

dpkg: error processing linux-image-generic (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-generic:
 linux-generic depends on linux-image-generic (= 3.8.0.29.47); however:
  Package linux-image-generic is not configured yet.

dpkg: error processing linux-generic (--configure):
 dependency problems - leaving unconfigured
Setting up libhttrack2 (3.46.1-1) ...
No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                          No apport report written because the error message indicates its a followup error from a previous failure.
                                                             Setting up webhttrack-common (3.46.1-1) ...
Setting up webhttrack (3.46.1-1) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Errors were encountered while processing:
 linux-image-extra-3.8.0-29-generic
 linux-image-generic
 linux-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

and or

sudo apt-get upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]? y
Setting up linux-image-extra-3.8.0-29-generic (3.8.0-29.42) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 3.8.0-29-generic /boot/vmlinuz-3.8.0-29-generic
run-parts: executing /etc/kernel/postinst.d/dkms 3.8.0-29-generic /boot/vmlinuz-3.8.0-29-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.8.0-29-generic /boot/vmlinuz-3.8.0-29-generic
update-initramfs: Generating /boot/initrd.img-3.8.0-29-generic

gzip: stdout: No space left on device
E: mkinitramfs failure cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-3.8.0-29-generic with 1.
run-parts: /etc/kernel/postinst.d/initramfs-tools exited with return code 1
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-extra-3.8.0-29-generic.postinst line 1010.
dpkg: error processing linux-image-extra-3.8.0-29-generic (--configure):
 subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of linux-image-generic:
 linux-image-generic depends on linux-image-extra-3.8.0-29-generic; however:
  Package linux-image-extra-3.8.0-29-generic is not configured yet.

dpkg: error processing linux-image-generic (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-generic:
 linux-generic depends on linux-image-generic (= 3.8.0.29.47); however:
  Package linux-image-generic is not configured yet.

dpkg: error processing linux-generic (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                          No apport report written because the error message indicates its a followup error from a previous failure.
                                                             Errors were encountered while processing:
 linux-image-extra-3.8.0-29-generic
 linux-image-generic
 linux-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
share|improve this question
add comment

1 Answer 1

I found the problem Yay! The problem was that Ubuntu needed ()mb free space on /boot. I got the answer here: Q: How do I free up more space in /boot? - A: With Synaptic Package Manager

Thanks, Andries

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.